Name:           ibus-table-coptic
Version:        0.1
Release:        5%{?dist}
Summary:        Unicode Ibus keyboard input for Sahidic Coptic

License:        GPLv3
URL:            https://github.com/vwbusguy/ibus-coptic
Source0:        https://github.com/vwbusguy/ibus-coptic/archive/%{version}.zip#/ibus-coptic-%{version}.zip

BuildRequires:  ibus-table
Requires:       ibus-table
Requires:       google-noto-sans-coptic-fonts
Obsoletes:      ibus-coptic < 0.1-3

%define debug_package %{nil}

%description
Unicode Ibus keyboard input for Sahidic Coptic

%prep
%setup -q -c


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/ibus-table/tables/
ibus-table-createdb -n $RPM_BUILD_ROOT/usr/share/ibus-table/tables/coptic.db -s ibus-coptic-%{version}/coptic.txt
%post
ibus-daemon -drx

%files
/usr/share/ibus-table/tables/coptic.db

%changelog
* Mon Mar 7 2016 Scott A. Williams <vwbusguy@fedoraproject.org> - 0.1-5
- Updated spec to reflect Fedora package guidelines for Source

* Mon Mar 7 2016 Scott A. Williams <vwbusguy@fedoraproject.org> - 0.1-4
- Fix minor spec file syntax according to rpmlint

* Mon Mar 7 2016 Scott A. Williams <vwbusguy@fedoraproject.org> - 0.1-3
- Migrate to ibus-table-coptic to follow Fedora package nomenclature

* Fri Mar 4 2016 Scott A. Williams <vwbusguy@fedoraproject.org> - 0.1-2
- Cleanup SPEC file

* Fri Mar  4 2016 Scott A. Williams <vwbusguy@fedoraproject.org> - 0.1-1
- Initial build. 
